

   ;;;; Didn't change anything, i just needed to add this in order to make the Blood Sword for Boro in the map.ini

		; --- Idle Anims
		IdleAnimationState
			StateName = Idle			
;			Animation           = IDLA
;				AnimationName     = GUBoromir_SKL.GUBoromir_IDLA 0 15
;				AnimationMode     = ONCE
;			End			
			Animation           = IDLB
				AnimationName     = GUBoromir_SKL.GUBoromir_IDLB
				AnimationMode     = ONCE
				AnimationPriority   = 20
			End			
			Animation           = IDLD
				AnimationName     = GUBoromir_SKL.GUBoromir_IDLD
				AnimationMode     = ONCE
				AnimationPriority   = 1
			End			
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Selected" then CurDrawableSetTransitionAnimState("TRANS_Selected_To_Idle") end
			EndScript			
		End

		TransitionState       = Trans_None_To_Sword
			Animation           = GUBoromir_STHA
				AnimationName     = GUBoromir_SKL.GUBoromir_STHA ;
				AnimationMode     = ONCE
			End
		End
		TransitionState       = Trans_Sword_To_None
			Animation           = GUBoromir_STHB
				AnimationName     = GUBoromir_SKL.GUBoromir_STHB ;
				AnimationMode     = ONCE
			End
		End
		
		AnimationState        = STUNNED_FLAILING 
			Flags               = RANDOMSTART
			Animation           = GUBoromir_FLYA
				AnimationName     = GUBoromir_SKL.GUBoromir_FLYA
				AnimationMode     = LOOP
			End
		End


		; --- Dying anims
		
		AnimationState        = DYING SPLATTED
			Animation           = GUBoromir_LNDA
				AnimationName     = GUBoromir_SKL.GUBoromir_LNDA
				AnimationMode     = ONCE
			End
		End
		AnimationState        = DYING AFLAME
			Animation = DieAflame
				AnimationName       = GUBoromir_SKL.GUBoromir_MFDA
				AnimationMode       = LOOP
			End
		End
		AnimationState        = DYING
			Animation           = GUBoromir_DTHA

				AnimationName     = GUBoromir_SKL.GUBoromir_DTHA
				AnimationMode     = ONCE
			End
		End
		
		AnimationState						= PARALYZED
			Animation
				AnimationName				= GUBoromir_IDLB
				AnimationMode				= LOOP
			End
		End

		; --- Stunned anims
		AnimationState        = STUNNED_STANDING_UP
			Animation           = GUBoromir_GTPA
				AnimationName     = GUBoromir_SKL.GUBoromir_GTPA
				AnimationMode     = ONCE
				AnimationSpeedFactorRange = 1.3 1.3
			End
		End
		AnimationState        = STUNNED 
			Animation           = GUBoromir_LNDA
				AnimationName     = GUBoromir_SKL.GUBoromir_LNDA
				AnimationMode     = ONCE
			End
		End
		
		AnimationState        = PACKING_TYPE_2
			StateName		  =	CaptainPower
			Animation           = GUBoromir_CHRA
				AnimationName     = GUBoromir_SKL.GUBoromir_CHRA
				AnimationMode     = ONCE
				AnimationSpeedFactorRange = 1.2 1.2
			End
		End

		; -- Horn anims
		AnimationState        = UNPACKING SPECIAL_POWER_1
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_HRNA
				AnimationMode     = ONCE
			End
		End
		AnimationState        = PREPARING SPECIAL_POWER_1
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_HRNB
				AnimationMode     = ONCE
			End
			EnteringStateFX = FX_BoromirHorn
		End
		AnimationState        = PACKING SPECIAL_POWER_1
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_HRNC
				AnimationMode     = ONCE
			End
		End
		AnimationState        = SPECIAL_POWER_1
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_HRNB
				AnimationMode     = LOOP
			End
		End
		
		; -- Last Stand Animations
		AnimationState        = UNPACKING SPECIAL_WEAPON_ONE
			Animation           

				AnimationName     = GUBoromir_SKL.GUBoromir_SPCA
				AnimationMode     = ONCE
			End
		End
		AnimationState        = PREPARING SPECIAL_WEAPON_ONE
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_SPCB
				AnimationMode     = ONCE
			End
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_SPCC
				AnimationMode     = ONCE
			End
		EnteringStateFX = FX_BoromirHorn
		End
		AnimationState        = PACKING SPECIAL_WEAPON_ONE
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_SPCE
				AnimationMode     = ONCE
			End
		End
		AnimationState        = SPECIAL_WEAPON_ONE
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_SPCB
				AnimationMode     = ONCE
			End
			Animation           
				AnimationName     = GUBoromir_SKL.GUBoromir_SPCC
				AnimationMode     = ONCE
			End
		End
		
		; --- Moving Anims
		AnimationState        = MOVING WANDER WEAPONSTATE_CLOSE_RANGE
			StateName           = WithSword

			;ParticleSysBone     = None InfantryDustTrails
			Animation           = GUBoromir_WLKA
				AnimationName     = GUBoromir_SKL.GUBoromir_WLKA
				AnimationMode     = LOOP
			End
		End
		; non mo cap
;		AnimationState        = MOVING WEAPONSTATE_CLOSE_RANGE
;			StateName           = WithSword
;			Flags               = RANDOMSTART
;			;ParticleSysBone     = None InfantryDustTrails
;			Animation           = GUBoromir_RUNB
;				AnimationName     = GUBoromir_SKL.GUBoromir_RUNB
;				AnimationMode     = LOOP
;			End
;		End
;		AnimationState        = MOVING DAMAGED
;			Flags               = RANDOMSTART
;			;ParticleSysBone     = None InfantryDustTrails
;			Animation           = GUBoromir_IWKA
;				AnimationName     = GUBoromir_SKL.GUBoromir_IWKA
;				AnimationMode     = LOOP
;			End
;		End
		AnimationState        = MOVING WANDER
			;ParticleSysBone     = None InfantryDustTrails
			Animation           = GUBoromir_WLKA
				AnimationName     = GUBoromir_SKL.GUBoromir_WLKA
				AnimationMode     = LOOP
			End
		End
		
		
		AnimationState        = MOVING FIRING_OR_PREATTACK_A
			ShareAnimation		= Yes
			Animation           = RunAndFire
				AnimationName       = GUBoromir_SKL.GUBoromir_ATRA
				AnimationMode       = LOOP
			End
			Flags               = RANDOMSTART  
		End
		
		
		AnimationState        = MOVING
			;ParticleSysBone     = None InfantryDustTrails
			Flags               = RANDOMSTART
			Animation           = GUBoromir_RUNB
				AnimationName     = GUBoromir_SKL.GUBoromir_RUNA
				AnimationMode     = LOOP
			End
		End
		
		
		; Attacking Anims [Weapon_A]
		AnimationState        = FIRING_OR_PREATTACK_A WEAPONSTATE_CLOSE_RANGE
			StateName           = WithSword
			Animation           = ATKA
				AnimationName     = GUBoromir_SKL.GUBoromir_ATKA
				AnimationMode     = ONCE
				UseWeaponTiming		= Yes
			End
			Animation           = ATKB
				AnimationName    = GUBoromir_SKL.GUBoromir_ATKB
				AnimationMode     = ONCE
				UseWeaponTiming		= Yes
			End
		End


		AnimationState        = FIRING_OR_PREATTACK_A
			Animation           = GUBoromir_ATD1
				AnimationName     = GUBoromir_SKL.GUBoromir_ATKB 
				AnimationMode     = ONCE
				UseWeaponTiming		= Yes
			End
		End

		


		; --------- Idle Anims -non mocap-
;		AnimationState        = WEAPONSTATE_CLOSE_RANGE
;			StateName           = WithSword
;			Animation           = GUBoromir_IDLC
;				AnimationName     = GUBoromir_SKL.GUBoromir_IDLC
;				AnimationMode     = ONCE
;			End
;		End

		; ATTACKING
		AnimationState        = ATTACKING
			Animation           = ALERT_1
				AnimationName     = GUBoromir_SKL.GUBoromir_IDLA
				AnimationMode     = LOOP; ONCE
			End
;			Flags               = RESTART_ANIM_WHEN_COMPLETE ; acts like an idle animation & keeps running the animations.
		End
		
		; --------- Selected Anims and Transitions
		TransitionState					=	TRANS_Idle_to_Selected
			Animation					=	ATND
				AnimationName			=	GUBoromir_SKL.GUBoromir_ATND
				AnimationMode			=	ONCE
			End
		End
		
		TransitionState					=	TRANS_Selected_To_Idle
			Animation					=	ATNE
				AnimationName			=	GUBoromir_SKL.GUBoromir_ATNE
				AnimationMode			=	ONCE
			End
		End
		
		AnimationState				= LEVELED 						; This state clears itself in 3 seconds
			Animation				= LevelUp
				AnimationName		= GUBoromir_SKL.GUBoromir_CHRA
				AnimationMode		= ONCE
			End
		End

		AnimationState			= RAISING_FLAG
			Animation           = CHRA
				AnimationName   = GUBoromir_SKL.GUBoromir_CHRA
				AnimationMode   = Once
			End
			Animation           = CHRB
				AnimationName   = GUBoromir_SKL.GUBoromir_CHRB
				AnimationMode   = Once
			End
			Flags				=	RESTART_ANIM_WHEN_COMPLETE
		End

		AnimationState				=	SELECTED
			StateName				=	Selected
			SimilarRestart			=   Yes			
			Animation				=	ATNB
				AnimationName		=	GUBoromir_SKL.GUBoromir_ATNB
				AnimationMode		=	LOOP
			End
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Idle" then CurDrawableSetTransitionAnimState("TRANS_Idle_to_Selected") end
			EndScript
		End
		
		;------------emotions---------------
		AnimationState			= EMOTION_TAUNTING
			Animation           = CHRA
				AnimationName   = GUBoromir_SKL.GUBoromir_CHRA
				AnimationMode   = Once
			End
		End
		
		AnimationState			= EMOTION_CELEBRATING
			Animation           = CHRB
				AnimationName   = GUBoromir_SKL.GUBoromir_CHRB
				AnimationMode   = Once
			End
			Flags				=	RESTART_ANIM_WHEN_COMPLETE
		End
		
		AnimationState					= EMOTION_ALERT EMOTION_MORALE_HIGH
			Animation					= Taunting
				AnimationName			=  GUBoromir_SKL.GUBoromir_TNTB
				AnimationMode			= ONCE
			End
			Flags						= RANDOMSTART RESTART_ANIM_WHEN_COMPLETE
		End
		
		; READY IDLE
		AnimationState        = EMOTION_ALERT
			Animation           = ALERT_1
				AnimationName     = GUBoromir_SKL.GUBoromir_IDLA
				AnimationMode     = LOOP ;ONCE
			End
;			Flags               = RESTART_ANIM_WHEN_COMPLETE ; acts like an idle animation & keeps running the animations.
		End
		
		
		; --------- Click and Hit Reactions ------------
		AnimationState = HIT_REACTION HIT_LEVEL_1
			Animation = Hit_Level_1_a
				AnimationName = GUBoromir_SKL.GUBoromir_HITA
				AnimationMode = ONCE
			End
		End